YUI AS Component Documentation |
Class JavaScriptUtil

Package | com.yahoo.astra.utils
Class | public class JavaScriptUtil

Utility functions for working with JavaScript and ExternalInterface.

Public Methods

| Method | Defined by
--- | --- | ---
|  | createCallbackFunction(functionName:String):Object [static] Creates an ActionScript delegate for JavaScript functions that need to be called from components. | JavaScriptUtil

Method detail

createCallbackFunction | () | method

`public static function createCallbackFunction(functionName:String):Object`

Creates an ActionScript delegate for JavaScript functions that need to be called from components.

Example: A List's labelFunction.

Parameters

| `functionName:String` — The name of the globally-accessible JavaScript function to call.

Returns

| `Object`